Package org.apache.catalina.valves.rewrite

## Class QuotedStringTokenizer

- java.lang.Object
- - org.apache.catalina.valves.rewrite.QuotedStringTokenizer

-     public class QuotedStringTokenizer
      extends Object

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected static StringManager` | `sm` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `QuotedStringTokenizer​(String text)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `int` | `countTokens()` |
    `boolean` | `hasMoreTokens()` |
    `String` | `nextToken()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### sm

          protected static final StringManager sm

  - ### Constructor Detail

    - #### QuotedStringTokenizer

          public QuotedStringTokenizer​(String text)

  - ### Method Detail

    - #### hasMoreTokens

          public boolean hasMoreTokens()

    - #### nextToken

          public String nextToken()

    - #### countTokens

          public int countTokens()